Subject: Re: [nfsv4] New pNFS ID available

From: Garth Goodson <[email-masked]>
Date: Fri, 22 Jul 2005 18:34:08 -0700

Marc Eshel wrote:
> Garth Goodson <[email-masked]> wrote on 07/22/2005 05:33:06 PM:
> 
> 
>>Marc Eshel wrote:
>>
>>>> If data are reorganized from a storage
>>>> device with a given device ID to a different storage device (i.e., 
> 
> if
> 
>>>> the mapping between storage device and data changes), the layout
>>>> describing the data MUST be recalled rather than assigning the new
>>>> storage device to the old device ID.
>>>
>>>
>>>If the device ID changes we can recall all layout that include the 
> 
> changed 
> 
>>>id but we also need to update the device list that the client cached. 
> 
> How 
> 
>>>do we do it? can we add a call to invalidate the device list on the 
>>>client?
>>>Marc. 
>>
>>The goal is that device IDs aren't reused between metadata server 
>>reboots.  With a 32 bit device ID name space, do you think this will 
>>really be an issue.  I would prefer not adding more complexity to handle 
> 
> 
>>the invalidation of device IDs unless it is absolutely necessary.
>>
>>The client may have old device IDs cached, but it can invalidate it's 
>>cache every so often.
>>
>>-Garth
> 
> 
> Is there a reason why you did not cc the list?
> 
> It will take a long time to use the 32 bit name space but it might be a 
> problem in the future where the server is up for a long time and just 
> replacing or recovering nodes. Another less important reason is an 
> implementation one. It would be nice to keep the numbers in a low range so 
> they can be used as an index to the device list table. At the minimum we 
> can say that when we recall all layouts associated with an FSID we expect 
> the client to refresh the device list.
> Marc. 

Sorry, forgot to hit reply to all.  I think this something we can 
discuss more.  Your proposal is reasonable; let's see what others think.

-Garth

_______________________________________________
nfsv4 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/nfsv4